Bug 143161 - SIGSEGV from gnumeric
SIGSEGV from gnumeric
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 17:38 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-19 10:20:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a file which crashes gnumeric on an attempt to load (23.50 KB, application/octet-stream)
2004-12-16 17:39 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2004-12-16 17:38:08 EST
Description of problem:

When attempting to read a particular file (attached) gnumeric
produces segmentation fault.  Here a backtrace from x86:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208088896 (LWP 6916)]
0x00e16c79 in excel_read_IMDATA ()
   from /usr/lib/gnumeric/1.4.1/plugins/excel/excel.so
(gdb) bt
#0  0x00e16c79 in excel_read_IMDATA ()
   from /usr/lib/gnumeric/1.4.1/plugins/excel/excel.so
#1  0x00e16e6d in excel_read_IMDATA ()
   from /usr/lib/gnumeric/1.4.1/plugins/excel/excel.so
#2  0x00e1e3e1 in excel_read_workbook ()
   from /usr/lib/gnumeric/1.4.1/plugins/excel/excel.so
#3  0x00e0ad60 in excel_file_open ()
   from /usr/lib/gnumeric/1.4.1/plugins/excel/excel.so
#4  0x080f18b3 in plugin_service_plugin_loader_generate_type ()
#5  0x08141cdf in wb_view_new_from_input ()
#6  0x08141fa3 in wb_view_new_from_uri ()
#7  0x0815e6d3 in main ()

and the same one from x86_64

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 182894222272 (LWP 18914)]
0x0000002a96066191 in excel_read_IMDATA ()
   from /usr/lib64/gnumeric/1.4.1/plugins/excel/excel.so
(gdb) bt
#0  0x0000002a96066191 in excel_read_IMDATA ()
   from /usr/lib64/gnumeric/1.4.1/plugins/excel/excel.so
#1  0x0000002a9606639c in excel_read_IMDATA ()
   from /usr/lib64/gnumeric/1.4.1/plugins/excel/excel.so
#2  0x0000002a9606d13c in excel_read_workbook ()
   from /usr/lib64/gnumeric/1.4.1/plugins/excel/excel.so
#3  0x0000002a9605b094 in excel_file_open ()
   from /usr/lib64/gnumeric/1.4.1/plugins/excel/excel.so
#4  0x00000000004bbf42 in plugin_service_plugin_loader_generate_type ()
#5  0x000000000050d41b in wb_view_new_from_input ()
#6  0x000000000050d6b5 in wb_view_new_from_uri ()
#7  0x0000000000528269 in main ()

This is nearly sure a corrupted file.  It was produced by an
older version of gnumeric when I was trying to provide an info
about bug #137692.  Still SIGSEGV does not look like the right
reaction.  I checked with oocalc too.  It opens from that file
a blank spreadsheet, which is not that useful, but at least
it does not crash.

Version-Release number of selected component (if applicable):
gnumeric-1.4.1-1

How reproducible:
100%
Comment 1 Michal Jaegermann 2004-12-16 17:39:45 EST
Created attachment 108755 [details]
a file which crashes gnumeric on an attempt to load
Comment 2 Red Hat CVS System 2004-12-17 05:43:12 EST
Created attachment 108781 [details]
Patch committed to cvs for this bug
Comment 3 Caolan McNamara 2004-12-17 05:43:39 EST
Upstreamed patch to http://bugzilla.gnome.org/show_bug.cgi?id=161534
Fix will be in gnumeric-1.4.1-2
Comment 4 Caolan McNamara 2004-12-19 10:20:03 EST
new rpm availble.

Note You need to log in before you can comment on or make changes to this bug.